#/bin/perl

#    (c)'99 Jimbo/AEGiS
#   jimbo@aegis-corp.org
# http://www.aegis-corp.org
#    Released under GPL

# This is a little 'Bold stripper'. It replaces bold with white 
# (for those who have a fixed width font :))
# as it handles all messages the special highlight words are now in 'triggers'
# you can put any trigger you want...
# Triggers doesn't care of case.

@triggers = ("jmb","jimbo");
$highlight_color = 8;
$bold_color = 15;
$url_sequence_start = "\037\00311";  # Cyan + underlined...
$url_sequence_end = "\037\0030";
$ftp_sequence_start = "\037\00313";  # Magenta + underlined...
$ftp_sequence_end = "\037\0030";


# After this, there is nothing User Friendly ;)

IRC::add_message_handler("PRIVMSG", "privmsg_handler");
IRC::print "\00315S\0030trip \00315B\0030old by AEG\00310i\0030S Corp.\n";

sub privmsg_handler {
  $msg = $_[0];
  while (index($msg,"\002") != -1){
   $msg =~ s/\002/\003$bold_color/;
   $msg =~ s/\002/\0030/;}
  $chan = $msg; 
  $chan =~ s/.*PRIVMSG //;
  $chan =~ s/ :.*//;
  $nick = $msg;
  $nick =~ s/!.*//;
  $nick =~ s/.*://;
  $msg =~ s/.*PRIVMSG \Q$chan ://;
  $mtemp = $msg;
  $mtemp =~ s/.*http:\/\///;
  $mtemp =~ s/ .*//;
  $mtemp2 = $msg;
  $mtemp2 =~ s/.*ftp:\/\///;
  $mtemp2 =~ s/ .*//;
  $msg =~ s/( |^)http:\/\/\Q$mtemp/$url_sequence_start http:\/\/$mtemp$url_sequence_end/;
  $msg =~ s/( |^)ftp:\/\/\Q$mtemp2/$ftp_sequence_start ftp:\/\/$mtemp2$ftp_sequence_end/;
  $oldnick = $nick;
  foreach $i (@triggers){
      $tmp = $msg;
      $tmp =~ tr/A-Z/a-z/;
      if (index($tmp,$i)!=-1){
        $nick = "\003$highlight_color" . $nick . "\0030";}
	}
  if (index($msg,"\001ACTION ") != -1) {
    $msg =~ s/\001ACTION //;
    $msg =~ s/\001//;
    IRC::print_with_channel("\00315 $nick \0030$msg\n",$chan,"");}
  else {
    if (index($chan,"#") == -1) { 
      $chan = $oldnick;
      IRC::command("/QUERY $chan");
      }
    IRC::print_with_channel("\0032<\0030$nick\0032> \0030$msg\n",$chan,"");}
  return 1;
}
